--
-- Briri
-- This is the specialization for Briri
--
-- 
-- 
--
-- 

Briri = {};

function Briri.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Trailer, specializations);
end;

function Briri:load(xmlFile)

	self.fillNode = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.fillNode#index"));

end;

function Briri:delete()
end;

function Briri:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Briri:keyEvent(unicode, sym, modifier, isDown)
end;

function Briri:update(dt)
	
end;

function Briri:draw()
end;
